#ifndef VECT
#define VECT
#include <stdlib.h>
#include <assert.h>

typedef struct vect_s vect;//Tableaux d'entiers de tailles dynamiques, indicés

vect *vect_create(void);//Créer un nouveau tableau de 0. O(1)

void vect_free(vect *v);//Libère la mémoire occupée par un tableau. O(1)

int vect_length(vect *v);//Donne la taille d'un tableau. O(1)

int vect_get(vect *v, int i);//Accède à la case i du tableau v. O(1)

void vect_set(vect *v, int i, int x);//Ajoute x à la case i du tableau v. O(1)

void vect_resize(vect *v, int n);//Redimensionne le tableau v pour qu'il devienne de taille n. O(min(|v|,n))

void vect_pushR(vect *v, int x);//Ajoute x à la case |v| du tableau, incrémente la taille de v.

int vect_popR(vect *v);//Supprime et renvoie le dernier élément du tableau et décrémente la taille de v.
#endif
